<?php
if (post_password_required()) {
    ?>
    <p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'rethink') ?></p>
    <?php
    return;
}
?>
<!-- You can start editing here. -->
<div id="commentsbox">
    <?php if (have_comments()) : ?>
        <h3 id="comments">
            <?php
            comments_number(__('No Responses', 'rethink'), __('One Response', 'rethink'), __('% Responses', 'rethink'));
            _e('so far.', 'rethink')
            ?></h3>
        <ol class="commentlist">
            <?php wp_list_comments(array('avatar_size' => 45)); ?>
        </ol>
        <div class="comment-nav">
            <div class="alignleft">
                <?php previous_comments_link() ?>
            </div>
            <div class="alignright">
                <?php next_comments_link() ?>
            </div>
        </div>
        <?php
    else : /* this is displayed if there are no comments so far */
        if (comments_open()) :
        /*  If comments are open, but there are no comments. */
        else : // comments are closed  
            /* If comments are closed. */
            ?>
            <p class="nocomments"><?php _e('Comments are closed.', 'rethink') ?></p>
        <?php
        endif;
    endif;
    if (comments_open()) :
        comment_form();
    endif; /* if you delete this the sky will fall on your head  */
    ?>
</div>