<!-- Start the Loop. -->
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <div id="post-<?php the_ID(); ?>" <?php post_class('product'); ?>>		
            <h1 class="product_title">
                <a href= "<?php the_permalink(); ?>" rel="bookmark" title="<?php echo sprintf(__("Permanent link to %s", 'rethink'), get_the_title(get_the_ID())); ?>">
                    <?php the_title(); ?>
                </a>
            </h1>
            <div class="detail">
                <ul class="post_meta">
                    <li class="admin"><?php printf(__("Posted by %s", 'rethink'), get_the_author_link()); ?></li>
                    <li class="date"><?php printf(__('Posted on %s', 'rethink'), get_the_time('F j, Y')); ?></li>
                    <li class="category"><?php the_category(','); ?></li>                
                    <li class="commentt"><?php comments_popup_link(__('No Comments.', 'rethink'), __('1 Comment.', 'rethink'), __('% Comments.', 'rethink')); ?></li>
                </ul>
            </div>
            <div class="post_thumbnail_wrapper">
                <?php if (has_post_thumbnail()) { ?>
                    <a href="<?php the_permalink(); ?>">
                        <?php the_post_thumbnail('post_thumbnail', array('class' => 'postimg')); ?>
                    </a>
                    <?php
                } else {
                    echo rethink_main_image();
                }
                ?>
            </div>
            <div class="product_content"><?php the_excerpt(); ?><div class="buttons"><a class="btn-2" href="<?php the_permalink() ?>"><span><?php _e('Read Review', 'rethink') ?></span></a></div>
            </div>
        </div>
        <?php
    endwhile;
else:
    ?>
    <div class="product">
        <p>
            <?php _e('Sorry, no posts matched your criteria.', 'rethink'); ?>
        </p>
    </div>
<?php endif; ?>
<!--End Loop-->